Name:           mirmon
Version:        2.9
Release:        1%{?dist}
Summary:        Monitor the status of mirrors
Group:          Applications/Internet
License:        BSD
URL:            http://www.staff.science.uu.nl/~penni101/mirmon/
Source0:        http://www.staff.science.uu.nl/~penni101/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}-httpd.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

%description
Many software projects are mirrored worldwide. The mirror sites are required 
to update the mirror archive regularly (daily, weekly) from a root server.

Mirmon helps administrators in keeping an eye on the mirror sites. In a 
concise graphic format, mirmon shows each site's status history of the 
last two weeks. It is easy to spot stale or dead mirrors.

%package        httpd
Summary:        Apache configuration for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       httpd

%description    httpd
This package provides the Apache configuration for
applications using an Alias to %{name}.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 %{name}.1 %{buildroot}%{_mandir}/man1/
install -pm644 %{name}.pm.1 %{buildroot}%{_mandir}/man1/
install -pDm755 %{name} %{buildroot}%{_bindir}/%{name}
install -pDm755 probe %{buildroot}%{_bindir}/probe
install -pDm0644 %{S:1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
cp -pa countries.list icons %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%doc RELEASE-NOTES *.{txt,html} LICENSE
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*.1*

%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Tue Aug 13 2013 Christopher Meng <rpm@cicku.me> - 2.9-1
- Update to new version.

* Sat Aug 10 2013 Christopher Meng <rpm@cicku.me> - 2.8-2
- Replace macro outside rpm.

* Thu Feb 14 2013 Christopher Meng <rpm@cicku.me> - 2.8-1
- Update to new version.

* Thu Dec 20 2012 Christopher Meng <rpm@cicku.me> - 2.7-1
- Update to new version.

* Tue Jun 12 2012 Christopher Meng <rpm@cicku.me> - 2.6-1
- Update to new version.

* Mon Apr 30 2012 Christopher Meng <rpm@cicku.me> - 2.5-1
- Update to new version.

* Mon Mar 21 2011 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.4-1
- Update to new version.

* Wed Mar 17 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.3-1
- Update to new version.

* Sun Mar 14 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.2-1
- Update to new version.

* Mon Feb 15 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.1-1
- Update to new version.

* Fri Jan 15 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.0-1
- Initial Package.
